import _ from 'lodash';
declare const _default: {
    components: {
        eventsOperate: {
            props: {
                isEdit: {
                    type: BooleanConstructor;
                };
                editIndex: {
                    type: NumberConstructor;
                };
                client: {};
                events: {
                    type: ArrayConstructor;
                };
                type: {
                    type: StringConstructor;
                    required: boolean;
                    validator(value: any): boolean;
                };
                projectId: {};
                buildDelegateExpression: {
                    type: FunctionConstructor;
                };
                store: {};
                doSelect: {
                    type: FunctionConstructor;
                };
            };
            data(): {
                events_clone: any;
                dialogVisible: boolean;
                config: any;
                eventType: {
                    process: {
                        start: {
                            name: string;
                            title: string;
                            code: string;
                        };
                        end: {
                            name: string;
                            title: string;
                            code: string;
                        };
                    };
                    task: {
                        start: {
                            name: string;
                            title: string;
                            code: string;
                        };
                        create: {
                            name: string;
                            title: string;
                            code: string;
                        };
                        complete: {
                            name: string;
                            title: string;
                            code: string;
                        };
                        end: {
                            name: string;
                            title: string;
                            code: string;
                        };
                    };
                    processAct: {
                        ACTIVITY_STARTED: {
                            name: string;
                            title: string;
                            code: string;
                        };
                        TASK_CREATED: {
                            name: string;
                            title: string;
                            code: string;
                        };
                        TASK_COMPLETED: {
                            name: string;
                            title: string;
                            code: string;
                        };
                        ACTIVITY_COMPLETED: {
                            name: string;
                            title: string;
                            code: string;
                        };
                    };
                    actionTypes: {
                        default: {
                            title: string;
                            id: string;
                        };
                        fun: {
                            title: string;
                            id: string;
                        };
                    };
                };
                formData: {
                    newEventName: string;
                    newEventHandler: string;
                    newEventConfigType: string;
                    newEventFuns: any[];
                };
                eventHandlerMap: any;
                currentHoverRowIndex: number;
                cascOptions: any[];
                selectOptions: any[];
                apiId: any;
            };
            watch: {
                events(val: any): void;
            };
            mounted(): void;
            methods: {
                selectFun(): Promise<void>;
                open(): void;
                buildEventHandlerMap(): _.Dictionary<any>;
                addEvent(formName: any): void;
                updateEvent(formName: any): void;
                handleClose(item: any, index: any): void;
            };
        };
    };
    props: {
        element: {};
        modeling: {};
        moddle: {};
        client: {};
        subItem: {
            type: ObjectConstructor;
        };
        form: {
            type: ObjectConstructor;
        };
        model: {
            type: StringConstructor;
        };
        projectId: {};
        store: {};
        doSelect: {
            type: FunctionConstructor;
        };
    };
    data(): {
        events: any;
        isEdit: boolean;
        editIndex: any;
        currentHoverRowIndex: number;
    };
    mounted(): void;
    methods: {
        open(): void;
        handleEdit(row: any): void;
        getEvents(extensionElements: any, type: any): any[];
        addEvent(evt: any, type: any): void;
        updateEvent(evt: any, type: any, events: any): void;
        deleteEvent(evt: any, rowIndex: any): void;
        createActivitiFields(fields: any): any[];
        getParamsConfig(evt: any): _.Dictionary<any>;
        getEventTypeTitle(evt: any): any;
        getEventHandlerTitle(evt: any): any;
        getParamsTitle(evt: any, param: any): any;
        paramReadonly(evt: any, param: any): any;
        paramType(evt: any, param: any): any;
        paramOptions(evt: any, param: any): any;
        buildDelegateExpression(): string;
    };
};
export default _default;
