declare const _default: {
    components: {
        createVariable: {
            components: {};
            props: {
                dialogVisible: {};
                title: {};
                formInfo: {};
                edit: {};
            };
            data(): {
                popUp: boolean;
                form: {
                    id: string;
                    name: string;
                    type: string;
                    required: boolean;
                    readable: boolean;
                    writable: boolean;
                    default: string;
                    datePattern: string;
                    enumData: any[];
                };
                rules: {
                    id: ({
                        required: boolean;
                        message: string;
                        trigger: string;
                        pattern?: undefined;
                    } | {
                        pattern: RegExp;
                        message: string;
                        required?: undefined;
                        trigger?: undefined;
                    })[];
                    name: {
                        required: boolean;
                        message: string;
                        trigger: string;
                    }[];
                    type: {
                        required: boolean;
                        message: string;
                        trigger: string;
                    }[];
                };
                options: {
                    value: string;
                    label: string;
                }[];
                enumOption: any[];
                enumRules: boolean;
            };
            watch: {
                dialogVisible(val: any): void;
                formInfo: {
                    handler(newValue: any): void;
                    deep: boolean;
                };
            };
            methods: {
                handlePuls(): void;
                handleError(row: any, index: any): void;
                enumChange(): void;
                emptyDefalut(): void;
                handleCancel(): void;
                handleOk(formName: any): void;
                resetForm(): void;
            };
        };
    };
    props: {
        subItem: {};
        element: {};
        modeling: {};
        moddle: {};
        client: {};
        form: {};
        store: {};
    };
    data(): {
        tableData: any[];
        dialogVisible: boolean;
        title: string;
        edit: boolean;
        formInfo: {};
    };
    mounted(): void;
    methods: {
        init(): void;
        transformation(type: any): any;
        handleAdd(): void;
        handleEdit(row: any, index: any): void;
        handleDelete(row: any, index: any): void;
        handleCancel(): void;
        handleOk(form: any): void;
        handleXml(values: any, index: any, form: any): void;
    };
};
export default _default;
