declare const _default: {
    components: {};
    props: {
        formInfo: {
            type: ObjectConstructor;
            default: () => {
                btnTitle: any;
            };
        };
        dialogVisible: {};
        title: {};
        formKey: {};
        projectId: {};
        store: {};
    };
    data(): {
        popUp: boolean;
        form: {
            title: string;
            explain: string;
            resubmit: string;
            apiConfig: any[];
            equally: string;
            position: string;
        };
        config: string;
        cascader: any[];
        options: any[];
        apiData: any[];
        apiTitle: string;
        apiShow: boolean;
        apiForm: {
            apiType: string;
            apiName: string;
        };
        apiRules: {
            apiType: {
                required: boolean;
                message: string;
                trigger: string;
            }[];
        };
        tableData: any[];
        option: any[];
        value: string;
        metaField: any[];
    };
    watch: {
        dialogVisible(val: any): void;
        formInfo: {
            handler(newVal: any): void;
            deep: boolean;
        };
        formKey: {
            handler(): void;
        };
    };
    mounted(): void;
    methods: {
        handleCancel(): void;
        handlerCanCelApi(): void;
        handleOk(): void;
    };
};
export default _default;
