declare const _default: {
    components: {};
    props: {
        designatedPerson: {
            type: ArrayConstructor;
        };
        store: {};
    };
    data(): {
        loading: boolean;
        dialogVisible: boolean;
        userSearch: string;
        searchID: string;
        httpSouceType: string;
        httpSouce: {
            public: any;
            default: string;
        };
        total: number;
        page: number;
        pageSize: number;
        data: any[];
        selectedArr: any[];
        AppID: any;
    };
    mounted(): void;
    methods: {
        load(): void;
        searchUser(): void;
        pageSizeChange(pagesize: any): void;
        pageChange(page: any): void;
        closeTag(tag: any): void;
        handleSelectionChange(selected: any): void;
        selectedUser(row: any, index: any): void;
        filterSelected(): void;
        setSelectArr(): void;
        saveSelected(): void;
        open(): void;
    };
};
export default _default;
