declare const _default: {
    components: {};
    props: {
        designatedPerson: {
            type: ArrayConstructor;
        };
        store: {};
    };
    data(): {
        loading: boolean;
        dialogVisible: boolean;
        orgSearch: string;
        userSearch: string;
        searchID: string;
        httpSouce: any;
        treeData: any[];
        defaultProps: {
            children: string;
            label: string;
        };
        total: number;
        page: number;
        pageSize: number;
        data: any[];
        selectedArr: any[];
        selectedIDs: any[];
    };
    mounted(): void;
    methods: {
        loadUser(): void;
        loadTree(node: any, callback: any): void;
        nodeClick(data: any, status: any): void;
        closeTag(tag: any): void;
        pageSizeChange(pagesize: any): void;
        pageChange(page: any): void;
        handleSelectionChange(selected: any): void;
        selectedUser(row: any, index: any): void;
        setSelectArr(): void;
        filterSelected(): void;
        clearSearch(): void;
        open(): void;
        saveUserSelected(): void;
    };
};
export default _default;
