declare function buildRequestOpts(mockSchemaId: any): {
    headers: {
        'x-mock-test': any;
    };
};
declare const _default: {
    approvalNames: {
        approve: string;
        reject: string;
        rejectToPrevious: string;
        customReject: string;
        resubmit: string;
        transfer: string;
        addCandidates: string;
        cancel: string;
        circulate: string;
        urge: string;
    };
    defaultApprovalOperations: string[];
    buildRequestOpts: typeof buildRequestOpts;
    supportQuickApproval(task: any): boolean;
    complete(taskId: any, candidateCC: any, callback: any, mockSchemaId: any): any;
    resubmit(taskId: any, opinion: any, variables: any, callback: any, mockSchemaId: any, workflowContext: any): any;
    approve(taskId: any, opinion: any, variables: any, callback: any, mockSchemaId: any, workflowContext: any): any;
    reject(taskId: any, opinion: any, variables: any, callback: any, jumpInfo: any, mockSchemaId: any, workflowContext: any): any;
    addCandidates(taskId: any, opinion: any, variables: any, callback: any, candidates: any, mockSchemaId: any, addCandidatesType: any, workflowContext: any): any;
};
export default _default;
