declare const _default: {
    components: {
        createOreditVar: {
            props: {
                isEdit: {
                    type: BooleanConstructor;
                };
                variable: {
                    type: ObjectConstructor;
                };
                variables: {
                    type: ArrayConstructor;
                };
            };
            data(): {
                variableClone: any;
                dialogVisible: boolean;
                rules: {
                    id: {
                        type: string;
                        required: boolean;
                        pattern: RegExp;
                        message: string;
                    }[];
                    name: {
                        required: boolean;
                        message: string;
                    }[];
                    scope: {
                        required: boolean;
                        message: string;
                    }[];
                    type: {
                        required: boolean;
                        message: string;
                    }[];
                    values: {
                        type: string;
                        defaultField: {
                            type: string;
                            fields: {
                                id: {
                                    type: string;
                                    required: boolean;
                                    pattern: RegExp;
                                    message: string;
                                };
                                name: {
                                    type: string;
                                    required: boolean;
                                    message: string;
                                };
                            };
                        };
                    }[];
                };
                types: {
                    value: string;
                    label: string;
                }[];
                defaultDatePattern: string;
            };
            methods: {
                open(): void;
                deleteValuesItem(index: any): void;
                addValuesItem(): void;
                handleDateChange(newDate: any): void;
                onSubmit(formName: any, isEdit: any): void;
            };
        };
    };
    mixins: any[];
    props: {
        element: {};
        modeling: {};
        moddle: {};
        candidates: {
            type: ObjectConstructor;
            default: any;
        };
        subItem: {
            type: ObjectConstructor;
        };
        form: {
            type: ObjectConstructor;
        };
        model: {
            type: StringConstructor;
        };
        store: {};
    };
    data(): {
        variables: any[];
        isEdit: boolean;
        variableModel: {
            id: any;
            name: any;
            type: string;
            required: boolean;
            readable: boolean;
            writable: boolean;
            default: any;
            datePattern: any;
            values: any[];
        };
    };
    mounted(): void;
    methods: {
        open(): void;
        getTypeName(val: any): string;
        createVar(variable: any): void;
        updateVar(variable: any): void;
        handleEdit(row: any, index: any): void;
        deleteEvent(evt: any, rowIndex: any): void;
    };
};
export default _default;
