declare const _default: {
    components: {
        formPermissions: {
            props: {
                fullPageId: StringConstructor;
                pageInfo: ObjectConstructor;
                element: {};
            };
            data(): {
                variableClone: {};
                p: string;
                dialogVisible: boolean;
                actAuth: {
                    actId: string;
                    componentAuthConfig: any[];
                    authIndex: any;
                };
                componentAuthConfig: {
                    form: any[];
                    other: any[];
                };
            };
            methods: {
                open(): void;
                onSubmit(): void;
                pageAnalysisAuth(body: any, componentAuthConfig: any): void;
                addComponentAuthConfig(type: any): void;
                deletComponentAuthConfig(type: any, index: any): void;
                init(): void;
            };
        };
        globalFormPermissions: {
            props: {
                fullPageId: StringConstructor;
                pageInfo: ObjectConstructor;
                element: {};
            };
            data(): {
                allformActAuths: {
                    formKeyOptions: any[];
                    selectFormKey: any;
                    auths: {};
                    bpmnTasks: any[];
                };
                dialogVisible: boolean;
                ModalWidth: string;
                statusValue: {
                    '': string;
                    visible: string;
                    hidden: string;
                    readonly: string;
                    editable: string;
                };
                setComponentId: any;
            };
            methods: {
                open(): void;
                onSubmit(): void;
                pageAnalysisAuth(body: any, componentAuthConfig: any): void;
                addComponentAuthConfig(type: any, auth: any): void;
                deletComponentAuthConfig(type: any, index: any, auth: any): void;
                init(): Promise<void>;
                changeComponentAuthConfig(pageInfo: any): any;
            };
        };
    };
    props: {
        element: {};
        modeling: {};
        moddle: {};
        subItem: {
            type: ObjectConstructor;
        };
        form: {
            type: ObjectConstructor;
        };
        formKey: {};
        model: {
            type: StringConstructor;
        };
        projectId: {};
        store: {};
        doSelect: {
            type: FunctionConstructor;
        };
        externalFormKey: {
            type: StringConstructor;
        };
    };
    data(): {
        config: any;
        loading: boolean;
        selectRadio: number;
        select: {
            page: any[];
        };
        radios: {
            value: number;
            label: string;
            componentName: any;
            candidateType: string;
            code: string;
        }[];
        fullPageId: any;
        pageInfo: {};
        globalPage: {
            id: any;
            title: any;
            pageInfo: any;
        };
        externalPage: {
            id: any;
            title: any;
            pageInfo: any;
        };
        selectPageInfo: {};
    };
    mounted(): Promise<boolean>;
    methods: {
        open(index: any, item: any): Promise<void>;
        changeRadio(): void;
        handleClose(item: any, index: any): void;
        setPermissions(item: any): void;
        permissionsSubmit(pageInfo: any): void;
    };
};
export default _default;
