declare const _default: {
    components: {};
    props: {
        subItem: {
            type: ObjectConstructor;
        };
        form: {
            type: ObjectConstructor;
        };
        model: {
            type: StringConstructor;
        };
        store: {};
    };
    data(): {
        radio: number;
        rulesRadio: number;
        bl: number;
        rs: number;
        options: {
            value: number;
            label: string;
        }[];
        passRules1: number;
        passRules2: number;
        rules: string;
        attrs: {
            'activiti:collection': any;
            'activiti:elementVariable': any;
        };
    };
    computed: {
        scale(): number;
    };
    mounted(): void;
    methods: {
        init(): void;
        getRules(): string;
        updateModeRulesOptions(val: any): void;
        updateModeRules(): void;
        updateMode(val: any): void;
    };
};
export default _default;
