declare const _default: {
    props: {
        isEdit: {
            type: BooleanConstructor;
        };
        variable: {
            type: ObjectConstructor;
        };
        variables: {
            type: ArrayConstructor;
        };
    };
    data(): {
        variableClone: any;
        dialogVisible: boolean;
        rules: {
            id: {
                type: string;
                required: boolean;
                pattern: RegExp;
                message: string;
            }[];
            name: {
                required: boolean;
                message: string;
            }[];
            scope: {
                required: boolean;
                message: string;
            }[];
            type: {
                required: boolean;
                message: string;
            }[];
            values: {
                type: string;
                defaultField: {
                    type: string;
                    fields: {
                        id: {
                            type: string;
                            required: boolean;
                            pattern: RegExp;
                            message: string;
                        };
                        name: {
                            type: string;
                            required: boolean;
                            message: string;
                        };
                    };
                };
            }[];
        };
        types: {
            value: string;
            label: string;
        }[];
        defaultDatePattern: string;
    };
    methods: {
        open(): void;
        deleteValuesItem(index: any): void;
        addValuesItem(): void;
        handleDateChange(newDate: any): void;
        onSubmit(formName: any, isEdit: any): void;
    };
};
export default _default;
