declare const _default: {
    props: {
        fullPageId: StringConstructor;
        pageInfo: ObjectConstructor;
        element: {};
    };
    data(): {
        allformActAuths: {
            formKeyOptions: any[];
            selectFormKey: any;
            auths: {};
            bpmnTasks: any[];
        };
        dialogVisible: boolean;
        ModalWidth: string;
        statusValue: {
            '': string;
            visible: string;
            hidden: string;
            readonly: string;
            editable: string;
        };
        setComponentId: any;
    };
    methods: {
        open(): void;
        onSubmit(): void;
        pageAnalysisAuth(body: any, componentAuthConfig: any): void;
        addComponentAuthConfig(type: any, auth: any): void;
        deletComponentAuthConfig(type: any, index: any, auth: any): void;
        init(): Promise<void>;
        changeComponentAuthConfig(pageInfo: any): any;
    };
};
export default _default;
